# Created by pyp2rpm-3.3.5
%global pypi_name pytest-aiohttp

Name:           python-%{pypi_name}
Version:        1.0.4
Release:        %mkrel 1
Summary:        Pytest plugin for aiohttp support
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/aio-libs/pytest-aiohttp
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
# for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(aiohttp)

%description
The library provides useful fixtures for creation test aiohttp server and client.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The library provides useful fixtures for creation test aiohttp server and client.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_aiohttp

%check
%{pytest}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Feb 03 2023 papoteur <papoteur> 1.0.4-1.mga9
+ Revision: 1937778
- imported package python-pytest-aiohttp

